com.google.gwt.resources.converter

## Class CssElIf

- java.lang.Object
- - com.google.gwt.resources.css.ast.CssNode
  - - com.google.gwt.resources.css.ast.CssIf
    - - com.google.gwt.resources.converter.CssElIf

All Implemented Interfaces:
  com.google.gwt.resources.css.ast.CssSubstitution, com.google.gwt.resources.css.ast.CssVisitable, com.google.gwt.resources.css.ast.HasNodes

    public class CssElIf
    extends com.google.gwt.resources.css.ast.CssIf

Represents a else if node in the css ast.

### Constructor Summary

Constructors
Constructor and Description
`CssElIf(com.google.gwt.resources.css.ast.CssIf originalNode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `traverse(com.google.gwt.resources.css.ast.CssVisitor visitor, com.google.gwt.resources.css.ast.Context context)`

### Methods inherited from class com.google.gwt.resources.css.ast.CssIf

`getElseNodes, getExpression, getNodes, getPropertyName, getPropertyValues, isNegated, isStatic, setExpression, setNegated, setProperty, setPropertyValues`

### Methods inherited from class com.google.gwt.resources.css.ast.CssNode

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CssElIf

    public CssElIf(com.google.gwt.resources.css.ast.CssIf originalNode)

### Method Detail

#### traverse

    public void traverse(com.google.gwt.resources.css.ast.CssVisitor visitor,
                         com.google.gwt.resources.css.ast.Context context)

Specified by:
  `traverse` in interface `com.google.gwt.resources.css.ast.CssVisitable`
Overrides:
  `traverse` in class `com.google.gwt.resources.css.ast.CssIf`